# Need help to compile Sane.

Laurent GRAWET (laurent.grawet@europe.com)
Sun, 11 Apr 1999 10:06:55 +0200

- Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]
- Next message: Oliver Rauch: "Mustek 1200SP/12000SP Firmware-1.05"
- Previous message: martica@martica.org: "Re: Relisys Backend devel snags -- lockup when scanner buffer fills"
- Next in thread: Oliver Rauch: "Re: Need help to compile Sane."
- Reply: Oliver Rauch: "Re: Need help to compile Sane."
- Reply: Oliver Rauch: "Re: Need help to compile Sane."
- Reply: Laurent GRAWET: "Re: Need help to compile Sane."
- Reply: Laurent GRAWET: "Re: Need help to compile Sane."

Hi,

I'm trying to compile sane-pre1.01-4 with the patch
agfa-snapscan-1236-5.diff
(for agfa 1236) for a few days. When I launch configure, it says that it
can't
run GTK (but it find usr/bin/gtk-config !!!). I'm SURE that gtk is well
installed because I've got other applications which run with it.
I tryed to tell configure where GTK is installed (with the option line)
but I
can't get any results.

I've installed :
GTK+ 1.0.6-3 (rpm version)
GTL+-devel 1.0.6-3 (rpm version)

and I run the Kernel 2.2.5 with source codes in usr/src/linux.
I use a mandrake 5.3 distribution.

Question : When I run Configure, does all the lines must be
terminated by yes ? Or it is normal (following the configuration of the
system) that some lines are set to no ?

Is it possible that the test (for GTK) in Configure is a bad test ?
Can I disable this test ?

When I try to compile with make, I get the following error report after
a few
seconds :

gcc -c -DHAVE_CONFIG_H -I. -I. -I../include -I../include -D_GNU_SOURCE
-Dgtk_events_pending=gdk_events_pending
-DPATH_SANE_CONFIG_DIR=/usr/local/etc/sane.d
-DPATH_SANE_DATA_DIR=/usr/local/share -DV_MAJOR=1 -DV_MINOR=0 -g -O2
-Wall -fPIC -DPIC sanei_net.c
sanei_net.c: In function `w_option_value':
sanei_net.c:122: `EINVAL' undeclared (first use this function)
sanei_net.c:122: (Each undeclared identifier is reported only once
sanei_net.c:122: for each function it appears in.)
make[1]: *** [sanei_net.o] Error 1
make[1]: Leaving directory `/usr/src/sane-pre1.01/sanei'
make: *** [all-recursive] Error 1

Can anybody help me ?

Last thing, If somebody have sane compiled in RPM format patched for the
snapscan 1236, it would be very nice !

Thanks

    --
    Source code, list archive, and docs: http://www.mostang.com/sane/
    To unsubscribe: echo unsubscribe sane-devel | mail majordomo@mostang.com

- Next message: Oliver Rauch: "Mustek 1200SP/12000SP Firmware-1.05"
- Previous message: martica@martica.org: "Re: Relisys Backend devel snags -- lockup when scanner buffer fills"
- Next in thread: Oliver Rauch: "Re: Need help to compile Sane."
- Reply: Oliver Rauch: "Re: Need help to compile Sane."
- Reply: Oliver Rauch: "Re: Need help to compile Sane."
- Reply: Laurent GRAWET: "Re: Need help to compile Sane."
- Reply: Laurent GRAWET: "Re: Need help to compile Sane."